import { type Network } from "@wormhole-foundation/sdk-base";
import { type AccountAddress, type ChainAddress, type ChainsConfig, Contracts, UnsignedTransaction } from "@wormhole-foundation/sdk-definitions";
import { Ntt, NttWithExecutor } from "@wormhole-foundation/sdk-definitions-ntt";
import { type EvmPlatformType, type EvmChains } from "@wormhole-foundation/sdk-evm";
import { Provider } from "ethers";
import { EvmNtt } from "./ntt.js";
export declare class EvmNttWithExecutor<N extends Network, C extends EvmChains> implements NttWithExecutor<N, C> {
    readonly network: N;
    readonly chain: C;
    readonly provider: Provider;
    readonly contracts: Contracts & {
        ntt?: Ntt.Contracts;
    };
    readonly chainId: bigint;
    readonly executorAddress: string;
    constructor(network: N, chain: C, provider: Provider, contracts: Contracts & {
        ntt?: Ntt.Contracts;
    });
    static fromRpc<N extends Network>(provider: Provider, config: ChainsConfig<N, EvmPlatformType>): Promise<EvmNttWithExecutor<N, EvmChains>>;
    transfer(sender: AccountAddress<C>, destination: ChainAddress, amount: bigint, quote: NttWithExecutor.Quote, ntt: EvmNtt<N, C>, wrapNative?: boolean): AsyncGenerator<UnsignedTransaction<N, C>>;
    estimateMsgValueAndGasLimit(recipient: ChainAddress | undefined): Promise<{
        msgValue: bigint;
        gasLimit: bigint;
    }>;
}
//# sourceMappingURL=nttWithExecutor.d.ts.map